Subject: Re: Call Fortran from C

From: <[email-masked]>
Date: Wed, 12 Oct 1994 18:28:05 AST

Hi!

Just want to add that the point that the underscore needs to 
be attached to a Fortran function name when it is called from C is 
not valid on every machine (it is for Sun workstations, as far as I 
know).  Fortran compilars on different machines are slightly 
different on this issue. On our ibm/rs6k, it is pretty 
straightforward and no name change is needed.  Just keep in your mind 
that in Fortran all the variables (not only integers) are passed by 
pointers except pointers (i.e. arrays) themselves.  I/O is another 
thing you have to take care (but I haven't touch that yet :-( ).

Good luck!

Jing
(the same one from ac.dal.ca)